package com.rwk.system.service;

import java.util.List;
import com.rwk.system.domain.RwkAddressBook;

/**
 * 通讯录主Service接口
 * 
 * @author ruoyi
 * @date 2024-12-11
 */
public interface IRwkAddressBookService 
{
    /**
     * 查询通讯录主
     * 
     * @param id 通讯录主主键
     * @return 通讯录主
     */
    public RwkAddressBook selectRwkAddressBookById(Long id);

    /**
     * 查询通讯录主列表
     * 
     * @param rwkAddressBook 通讯录主
     * @return 通讯录主集合
     */
    public List<RwkAddressBook> selectRwkAddressBookList(RwkAddressBook rwkAddressBook);

    /**
     * 新增通讯录主
     * 
     * @param rwkAddressBook 通讯录主
     * @return 结果
     */
    public int insertRwkAddressBook(RwkAddressBook rwkAddressBook);

    /**
     * 修改通讯录主
     * 
     * @param rwkAddressBook 通讯录主
     * @return 结果
     */
    public int updateRwkAddressBook(RwkAddressBook rwkAddressBook);

    /**
     * 批量删除通讯录主
     * 
     * @param ids 需要删除的通讯录主主键集合
     * @return 结果
     */
    public int deleteRwkAddressBookByIds(String ids);

    /**
     * 删除通讯录主信息
     * 
     * @param id 通讯录主主键
     * @return 结果
     */
    public int deleteRwkAddressBookById(Long id);
}
